- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::index::quadtree::Node Class Reference

Represents a node of a Quadtree. More...

`#include <Node.h>`

Inheritance diagram for geos::index::quadtree::Node:

List of all members.

## Public Member Functions
| Node (geom::Envelope *nenv, int nlevel)
geom::Envelope * | getEnvelope ()
Node * | getNode (const geom::Envelope *searchEnv)
| Returns the subquad containing the envelope. Creates the subquad if it does not already exist.
NodeBase * | find (const geom::Envelope *searchEnv)
| Returns the smallest existing node containing the envelope.
void | insertNode (Node *node)
std::string | toString () const
## Static Public Member Functions
static Node * | createNode (geom::Envelope *env)
static Node * | createExpanded (Node *node, const geom::Envelope *addEnv)
## Protected Member Functions
bool | isSearchMatch (const geom::Envelope *searchEnv)

## Detailed Description

Represents a node of a Quadtree.

Nodes contain items which have a spatial extent corresponding to the node's position in the quadtree.

The documentation for this class was generated from the following file:

- index/quadtree/Node.h